org.apache.poi.hslf.record

## Class VBAInfoAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.VBAInfoAtom

- All Implemented Interfaces:
    GenericRecord

      public final class VBAInfoAtom
      extends RecordAtom

  An atom record that specifies a reference to the VBA project storage.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VBAInfoAtom(byte[] source, int start, int len)` Constructs the vba atom record from its source data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `long` | `getPersistIdRef()`
    `long` | `getRecordType()` Gets the record type.
    `long` | `getVersion()`
    `boolean` | `isHasMacros()`
    `void` | `setHasMacros(boolean hasMacros)`
    `void` | `setPersistIdRef(long persistIdRef)`
    `void` | `setVersion(long version)`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VBAInfoAtom

          public VBAInfoAtom(byte[] source,
                             int start,
                             int len)

      Constructs the vba atom record from its source data.
      Parameters:
        `source` - the source data as a byte array.
        `start` - the start offset into the byte array.
        `len` - the length of the slice in the byte array.

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      Gets the record type.
      Specified by:
        `getRecordType` in class `Record`
      Returns:
        the record type.

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Parameters:
        `out` - the output stream to write to.
      Throws:
        `java.io.IOException` - if an error occurs.

    - #### getPersistIdRef

          public long getPersistIdRef()

    - #### setPersistIdRef

          public void setPersistIdRef(long persistIdRef)

    - #### isHasMacros

          public boolean isHasMacros()

    - #### setHasMacros

          public void setHasMacros(boolean hasMacros)

    - #### getVersion

          public long getVersion()

    - #### setVersion

          public void setVersion(long version)

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.